Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class JcrRepository.RunningState

    java.lang.Object
      org.modeshape.jcr.JcrRepository.RunningState

Enclosing class:
  JcrRepository

    @Immutable
    protected class JcrRepository.RunningState

extends Object

Constructor Summary
`protected` | `JcrRepository.RunningState()`
`protected` | `JcrRepository.RunningState(JcrRepository.RunningState other, JcrRepository.ConfigurationChange change)`

Method Summary
`protected Credentials` | `anonymousCredentials()`
`protected AuthenticationProviders` | `authenticators()`
`protected BackupService` | `backupService()`
`protected BinaryStore` | `binaryStore()`
`protected void` | `bindIntoJndi()`
`protected ChangeBus` | `changeBus()`
`protected ChangeBus` | `createBus(RepositoryConfiguration.Clustering clusteringConfiguration, ExecutorService executor, String systemWorkspaceName, boolean separateThreadForSystemWorkspace)`
`protected Transactions` | `createTransactions(RepositoryConfiguration.TransactionMode mode, SessionEnvironment.MonitorFactory monitorFactory, TransactionManager txnMgr)`
`protected SchematicDb` | `database()`
`protected String` | `defaultWorkspaceName()`
`protected boolean` | `isFullTextSearchEnabled()`
`protected org.modeshape.jcr.RepositoryLockManager` | `lockManager()`
`protected Session` | `loginInternalSession()`
`protected JcrSession` | `loginInternalSession(String workspaceName)`
`protected MimeTypeDetector` | `mimeTypeDetector()`
`protected org.modeshape.jcr.RepositoryNodeTypeManager` | `nodeTypeManager()`
`protected NamespaceRegistry` | `persistentRegistry()`
`protected void` | `postInitialize()` Perform any initialization code that requires the repository to be in a running state.
`protected String` | `repositoryKey()`
`protected Sequencers` | `sequencers()`
`protected ExecutorService` | `sequencingQueue()`
`protected void` | `shutdown()`
`protected RepositoryStatistics` | `statistics()`
`protected String` | `systemWorkspaceKey()`
`protected String` | `systemWorkspaceName()`
`protected TextExtractors` | `textExtractors()`
`protected TransactionManager` | `txnManager()`
`protected void` | `unbindFromJndi()`
`protected boolean` | `useXaSessions()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JcrRepository.RunningState

    protected JcrRepository.RunningState()
                                  throws IOException,
                                         NamingException

Throws:
  `IOException`
  `NamingException`

### JcrRepository.RunningState

    protected JcrRepository.RunningState(JcrRepository.RunningState other,
                                         JcrRepository.ConfigurationChange change)
                                  throws IOException,
                                         NamingException

Throws:
  `IOException`
  `NamingException`

Method Detail

### createTransactions

    protected Transactions createTransactions(RepositoryConfiguration.TransactionMode mode,
                                              SessionEnvironment.MonitorFactory monitorFactory,
                                              TransactionManager txnMgr)

### postInitialize

    protected final void postInitialize()

  Perform any initialization code that requires the repository to be in a running state.

### sequencers

    protected final Sequencers sequencers()

### sequencingQueue

    protected ExecutorService sequencingQueue()

### useXaSessions

    protected final boolean useXaSessions()

### database

    protected final SchematicDb database()

### binaryStore

    protected final BinaryStore binaryStore()

### mimeTypeDetector

    protected final MimeTypeDetector mimeTypeDetector()

### textExtractors

    protected final TextExtractors textExtractors()

### txnManager

    protected final TransactionManager txnManager()

### nodeTypeManager

    protected final org.modeshape.jcr.RepositoryNodeTypeManager nodeTypeManager()

### lockManager

    protected final org.modeshape.jcr.RepositoryLockManager lockManager()

### systemWorkspaceName

    protected final String systemWorkspaceName()

### systemWorkspaceKey

    protected final String systemWorkspaceKey()

### defaultWorkspaceName

    protected final String defaultWorkspaceName()

### persistentRegistry

    protected final NamespaceRegistry persistentRegistry()

### authenticators

    protected final AuthenticationProviders authenticators()

### statistics

    protected final RepositoryStatistics statistics()

### anonymousCredentials

    protected final Credentials anonymousCredentials()

### changeBus

    protected final ChangeBus changeBus()

### repositoryKey

    protected final String repositoryKey()

### isFullTextSearchEnabled

    protected final boolean isFullTextSearchEnabled()

### backupService

    protected final BackupService backupService()

### shutdown

    protected void shutdown()

### bindIntoJndi

    protected void bindIntoJndi()

### unbindFromJndi

    protected void unbindFromJndi()

### loginInternalSession

    protected Session loginInternalSession()
                                    throws RepositoryException

  Throws:
    `RepositoryException`

### loginInternalSession

    protected JcrSession loginInternalSession(String workspaceName)
                                       throws RepositoryException

  Throws:
    `RepositoryException`

### createBus

    protected ChangeBus createBus(RepositoryConfiguration.Clustering clusteringConfiguration,
                                  ExecutorService executor,
                                  String systemWorkspaceName,
                                  boolean separateThreadForSystemWorkspace)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.